# Update custom field

Updates a custom field. Fields you leave out keep their current values.

```http
PATCH https://api.pozy.ai/v1/custom-fields/{fieldId}
```

- Area: Automations / Custom Fields
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `fieldId` (string, required)

## Request body

Content type: `application/json`

- `name`, string
- `options`, array of string

## Example request

```bash
curl -X PATCH "https://api.pozy.ai/v1/custom-fields/6b748297947f79533fe431a8" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Acme",
  "options": [
    "string"
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/custom-fields/6b748297947f79533fe431a8", {
  method: "PATCH",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    name: "Acme",
    options: [
      "string"
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.patch(
    "https://api.pozy.ai/v1/custom-fields/6b748297947f79533fe431a8",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "name": "Acme",
        "options": [
            "string",
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `field`, object
  - `id`, string
  - `name`, string
  - `slug`, string
  - `type`, string
  - `options`, array of string

```json
{
  "success": true,
  "field": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "slug": "string",
    "type": "string",
    "options": [
      "string"
    ]
  }
}
```
